1176973305 WINDOWSですがPlaggerを使用したいと思います。

はてなからのリンクもそうですが、検索して上位に当たるサイトを参考にしたのですが設置方法の説明がいまいちわかりません。
当方、perlとphpくらいなら少しはわかりますしコマンドプロンプトの入力もjavaをいじったりして初めてではないので大丈夫かと思ったのですが。おそらく基本的な部分で苦戦しています、、手間ですが今ベストなやり方を流れから教えて頂けますと助かります。

ActivePerl-5.8.8.820-MSWin32を入れてperlの認識まではうまくいくのですが、ppmは"No Perl script found in input"とエラーが出ますしcpanもどのように利用しているのかがわかりません(cpanを今まで知らなかった)。dmakeとtexinstを別に入れて併用するサイトもあるのですがうまくいきませんでした(ppmで)。
http://wg.at.webry.info/200604/article_4.html
ActivePerlが新しいことが悪いのかもしれませんが。
公式サイトでドキュメントからかplaggerらしきperlファイルがいくつか見つかるのですが。
手間ですがアレを全部コピーしてしまうというのも手なのでしょうか。
インストールすることが上記の作業だと思いますので。
逆に多くのサイトを見て方法が何通りもあるように見えて混乱気味です。

回答の条件
  • 1人2回まで
  • 登録:2007/04/19 18:01:48
  • 終了:2007/04/26 18:05:03

回答(2件)

id:man_suzuki No.1

man_suzuki回答回数21ベストアンサー獲得回数02007/04/21 03:21:58

ポイント35pt

perlの設置がちゃんとできてないようですね。

http://pocketstudio.jp/win/activeperl/

id:FREEz

perl -v を入力して同文が表示されますから、perlはうまくいってるはずです。

そこから先のようなのですが、、、

ちなみに最新VerではうまくいかないのでActivePerl-5.8.7.815で試したところ、うまく行きました。CPANもPPMもちゃんと動作します。

C:\>ppm rep add "theoryx5" "http://theoryx5.uwinnipeg.ca/ppms/"

C:\>perl -MCPAN -e shell

cpan> o conf init

の設定まではうまくいきます。

CPANとPPMで必要なモジュールをインストールする必要があるらしいのですが、それがうまくいきません。

しかしtest Plaggerとinstall Plaggerを試したところ.CPANというフォルダ作られてファイルができました。エラーでましたが。

先に入れるべきもの入れず順番違うからエラーが出たと思うのですが、以下そのエラー。

CPAN.pm: Going to build M/MI/MIYAGAWA/Plagger-0.7.17.tar.gz

YAML Error: Error in require YAML::Loader - Base class package "YAML::Loader::Ba

se" is empty.

(Perhaps you need to 'use' the module which defines that package first.)

at inc/YAML/Loader.pm line 4

BEGIN failed--compilation aborted at inc/YAML/Loader.pm line 4, <$IN> line 1.

Compilation failed in require at (eval 18) line 3, <$IN> line 1.

Code: Error in require YAML::Loader - Base class package "YAML::Loader::Base"

is empty.

(Perhaps you need to 'use' the module which defines that package first.)

at inc/YAML/Loader.pm line 4

BEGIN failed--compilation aborted at inc/YAML/Loader.pm line 4, <$IN> line 1.

Compilation failed in require at (eval 18) line 3, <$IN> line 1.

at Makefile.PL line 88

Running make test

Make had some problems, maybe interrupted? Won't test

cpan>

ちなみに上記のサイトのようにPerl本体に別にDLLしてきたファイルを追加する方法を今はやっていません。手を加えない方がよさそうなのでPPM3が動作する古いVerを使用する方法をとっています。

2007/04/21 18:05:58
id:TNIOP No.2

TNIOP回答回数2344ベストアンサー獲得回数582007/04/22 22:40:35

ポイント35pt

http://d.hatena.ne.jp/sinjyama/20060918/1158577494

こちらのサイトがかなりわかりやすいと思います。

id:FREEz

実はこのサイトも何度もチェック済みでして、うまくいきませんでした。

しかし改めて読み返してエラーがおかしいことに気づき、いくつか試したところ説明通りにPPMでインストールすることができました。

ありがとうございました、次は使用を試してみたいと思います。

解説通り、30分以上はかかるような長時間でした。

CPANでもインストールしてみたので、現在.CPANディレクトリの方にもplaggerはある状況ですが。

CPANは時間が短かったのですが、この違いはナゼでしょうね。

2007/04/23 21:01:18

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません